# My personalized Arch Linux packages

## Some notes

* https://disconnected.systems/blog/archlinux-meta-packages/
* https://nerdstuff.org/posts/2020/2020-002_meta_packages/

* https://gitlab.com/archi3linux/meta/-/blob/master/PKGBUILD
* https://github.com/alfredopalhares/arch-pkgbuilds

### managing custom packages / managing a remote repository

1) One could use [crema](https://gitlab.com/mipimipi/crema)
2) Or some self made shell scripts: [pkg/de-p1st-repo/README.md](pkg/de-p1st-repo/README.md)

### Package naming

* [package naming](https://wiki.archlinux.org/index.php/Arch_package_guidelines#Package_naming)

Package names are prefixed with `de-p1st` as this is one of my
domains ([p1st.de]()) which itself is an abbreviation of
[privacy1st.de]()

### creating config files

```shell
install -Dm644 $src $pkgdir/$dst
```

[Example](https://gitlab.com/archi3linux/meta/-/blob/c08ad57993095a575f2e7453c2fe92de97923276/PKGBUILD#L62)

### changing existing config files

* `holo` from the AUR
* https://github.com/holocm/holo/blob/master/doc/holo-files.8.pod

Example: [pkg/de-p1st-pacman/PKGBUILD](pkg/de-p1st-pacman/PKGBUILD)

### home skeleton

[Example](https://gitlab.com/archi3linux/meta/-/blob/c08ad57993095a575f2e7453c2fe92de97923276/PKGBUILD#L75)

### enabling services

**TODO**: using systemd.preset

* systemd.preset - Service enablement presets
* [man 5 systemd.preset](https://www.systutorials.com/docs/linux/man/5-systemd.preset/)

Example preset file: [archi3linux systemd.preset](https://gitlab.com/archi3linux/meta/-/blob/c08ad57993095a575f2e7453c2fe92de97923276/systemd.preset)

Example pkg: [pkg/de-p1st-networkmanager](pkg/de-p1st-networkmanager)
